var controledescripts = {
	iniciar: function () {
		this.iniciarItens();

		this.renomear = window.arguments[0].renomear;
		this.lista = window.arguments[0].lista;
		this.nomeValido = true;

		if (this.renomear) {
			document.title = this.stringset.getString("controledescripts.renamePolicy");
			this.rotulo.appendChild(document.createTextNode(this.stringset.getString("controledescripts.renameLabel")));
			this.nome.value = decodeURIComponent(this.renomear);
		}
		else {
			document.title = this.stringset.getString("controledescripts.newPolicy");
			this.rotulo.appendChild(document.createTextNode(this.stringset.getString("controledescripts.newLabel")));
		}

		sizeToContent();
	},

	iniciarItens: function () {
		this.alerta = document.getElementById("politica-alerta");
		this.nome = document.getElementById("politica-nome");
		this.rotulo = document.getElementById("politica-rotulo");
		this.stringset = document.getElementById("politica-strings");
	},

	salvar: function () {
		var nomeAlterado = this.renomear != encodeURIComponent(this.nome.value);
		var nomeExiste = CdSUtil.obterPosicaoPol(encodeURIComponent(this.nome.value), this.lista) >= 0;
		var valido = this.nome.value && this.nomeValido &&
		             this.nome.value.toLowerCase() != "default" &&
		             (!nomeExiste || !nomeAlterado);

		if (valido) {
			if (this.renomear) {
				if (nomeAlterado)
					opener.CdS.renomearPolitica(encodeURIComponent(this.nome.value));
			}
			else
				opener.CdS.criarPolitica(encodeURIComponent(this.nome.value));
		}
		else if (!this.nome.value)
			alert(this.stringset.getString("controledescripts.emptyName"));
		else if (!this.nomeValido)
			alert(this.stringset.getString("controledescripts.invalidName"));
		else if (nomeExiste)
			alert(this.stringset.getString("controledescripts.nameOnList"));
		else
			alert(this.stringset.getString("controledescripts.defaultName"));
			
		this.nome.focus();
		return valido;
	},

	verificarValidade: function () {
		this.nomeValido =
		this.alerta.hidden =
		this.nome.value?/^[a-zA-Z]/.test(this.nome.value) && !/\.+/.test(this.nome.value):true;

		sizeToContent();
	}
}
